AddDimDiametric 方法 (ActiveX)
为圆或圆弧创建直径尺寸,给定引线的直径和长度上的两个点。 支持的平台:仅限 Windows 签名VBA: RetVal = object.AddDimDiametric(ChordPoint, FarChordPoint, LeaderLength) 言论根据圆或圆弧的大小、引线的长度以及 AutoCAD DIMUPT、DIMTOFL、DIMFIT、DIMTIH、DIMTOH、DIMJUST、DIMJUST 和 DIMTAD 系统变量的值,可以创建不同类型的直径尺寸。 对于水平标注文本,如果标注线的角度与水平方向成 15 度角,并且位于圆或圆弧之外,则 AutoCAD 将绘制一条挂钩线,也称为着陆线或狗腿线。钩线长一个箭头,位于尺寸文本旁边,如前两幅插图所示。 此函数使用 LeaderLength 参数作为从 ChordPoint 到维度将对批注文本执行水平狗腿的点的距离(如果不需要狗腿,则停止)。 LeaderLength 设置将仅在创建维度期间使用(即使如此,也仅在维度设置为使用默认文本位置值时使用)。首次关闭维度后,更改 LeaderLength 值不会影响维度的显示方式,但新设置将存储并显示在 DXF、LISP 和 ARX 中。 例子VBA: Sub Example_AddDimDiametric() ' This example creates a diametric dimension in model space. Dim dimObj As AcadDimDiametric Dim chordPoint(0 To 2) As Double Dim farChordPoint(0 To 2) As Double Dim leaderLength As Double ' Define the dimension chordPoint(0) = 5#: chordPoint(1) = 3#: chordPoint(2) = 0# farChordPoint(0) = 5#: farChordPoint(1) = 5#: farChordPoint(2) = 0# leaderLength = 1# ' Create the diametric dimension in model space Set dimObj = ThisDrawing.ModelSpace.AddDimDiametric(chordPoint, farChordPoint, leaderLength) ZoomAll End Sub 可视化 LISP: (vl-load-com) (defun c:Example_AddDimDiametric() ;; This example creates a diametric dimension in model space. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq chordPoint (vlax-3d-point 5 3 0) farChordPoint (vlax-3d-point 5 5 0) leaderLength 1) ;; Create the diametric dimension in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimDiametric modelSpace chordPoint farChordPoint leaderLength)) (vla-ZoomAll acadObj) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 12:36
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.